# draugr.torch_utilities.generators.batching.LimitedBatchResampler

class draugr.torch_utilities.generators.batching.LimitedBatchResampler(batch_sampler, num_iterations, start_iter: int = 0)

  Bases: `BatchSampler`

  Wraps a BatchSampler, re-sampling from it until a specified number of iterations have been sampled

  __init__(batch_sampler, num_iterations, start_iter: int = 0)

  Methods

  `__init__`(batch_sampler, num_iterations[, ...]) |